#!/usr/bin/env python

# Load ESDS
import esds
import numpy as np

B=np.full((3,3),8)

# Hide the nodes from each others
B[0,2]=0
B[2,0]=0

L=np.full((3,3),0)
s=esds.Simulator({"wlan0":{"bandwidth":B, "latency":L, "is_wired":False}, "eth0":{"bandwidth":B, "latency":L, "is_wired":True}})

s.create_node("sender")
s.create_node("receiver")
s.create_node("sender")

s.run()
