#!/usr/bin/env python

# Load ESDS
import esds
import numpy as np

n=2
B=np.full((n,n),n)
L=np.full((n,n),0)
s=esds.Simulator({"wlan0":{"bandwidth":B, "latency":L, "is_wired":False}, "eth0":{"bandwidth":B, "latency":L, "is_wired":True}})

s.create_node("node")
s.create_node("node")

def callback(simulator):
    simulator.log("Hello Callback!")

s.run(breakpoints=[1,2,3,10],breakpoint_callback=callback)
